Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # HomogeneousPixelBasedConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename P> struct boost::gil::HomogeneousPixelBasedConcept< P > Concept for homogeneous pixel-based GIL constructs.
    concept HomogeneousPixelBasedConcept<PixelBasedConcept T> {
        typename channel_type<T>;
            where Metafunction<channel_type<T> >;
            where ChannelConcept<channel_type<T>::type>;
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp